org.opencv.ml

## Class NormalBayesClassifier

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.NormalBayesClassifier

-     public class NormalBayesClassifier
      extends StatModel

- - ### Field Summary

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NormalBayesClassifier(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NormalBayesClassifier` | `create()`
    `protected void` | `finalize()`
    `float` | `predictProb(Mat inputs, Mat outputs, Mat outputProbs)`
    `float` | `predictProb(Mat inputs, Mat outputs, Mat outputProbs, int flags)`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, predict, predict, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalBayesClassifier

          protected NormalBayesClassifier(long addr)

  - ### Method Detail

    - #### create

          public static NormalBayesClassifier create()

    - #### predictProb

          public float predictProb(Mat inputs,
                                   Mat outputs,
                                   Mat outputProbs,
                                   int flags)

    - #### predictProb

          public float predictProb(Mat inputs,
                                   Mat outputs,
                                   Mat outputProbs)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `StatModel`
      Throws:
        `java.lang.Throwable`